Bug 175799 - Review Request: tor - nonymizing overlay network for TCP (The onion router)
Review Request: tor - nonymizing overlay network for TCP (The onion router)
Status: CLOSED DUPLICATE of bug 175433
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-14 23:28 EST by Paul Wouters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 15:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2005-12-14 23:28:39 EST
Spec Name or Url: ftp://ftp.xelerance.com/tor/binaries/fedora/4/SRPMS/tor.spec
SRPM Name or Url: ftp://ftp.xelerance.com/tor/binaries/fedora/4/SRPMS/tor-0.1.0.15-1.src.rpm

Note: I was asked by the tor developers (Roger et al.) if I would like to maintain this
package for FE.

Description: 
Tor is a connection-based low-latency anonymous communication system.

This package provides the "tor" program, which serves as both a client and
a relay node. Scripts will automatically create a "_tor" user and
group, and set tor up to run as a daemon when the system is rebooted.

Applications connect to the local Tor proxy using the SOCKS
protocol. The local proxy chooses a path through a set of relays, in
which each relay knows its predecessor and successor, but no
others. Traffic flowing down the circuit is unwrapped by a symmetric
key at each relay, which reveals the downstream relay.
Comment 1 Paul Wouters 2005-12-15 14:38:48 EST
Incorporated fixes as advised by Dmitry similar to nsd and l2tpd packages. That
is not using /var/run/name.pic, added chkconfig --add, and added a rm -r
%{buildroot}.

ftp://ftp.xelerance.com/tor/binaries/fedora/4/SRPMS/tor.spec
ftp://ftp.xelerance.com/tor/binaries/fedora/4/SRPMS/tor-0.1.0.15-2.src.rpm

Comment 2 Ville Skyttä 2005-12-15 15:09:04 EST

*** This bug has been marked as a duplicate of 175433 ***

Note You need to log in before you can comment on or make changes to this bug.